import request from "@/utils/request";
import { AxiosPromise } from "axios";
import {Fault} from "@/api/fault/types";


/**
 * 获取关联图片
 *
 * @param fault
 */
export function getFault(data: Fault): AxiosPromise<Fault> {
  return request({
    url: "/api/v1/process/escalationImg/list",
    method: "post",
    data: data,
  });
}

/**
 * 获取报故详情
 *
 * @param id
 * @param data
 */
export function getFaultDetails(id: Number): AxiosPromise<any> {
  return request({
    url: "/api/v1/process/escalationFault/get/" + id,
    method: "get",
  });
}


